Install Update
Install the update.
The version of an update to be installed.
A task to monitor the update. Since an update might restart any service and/or the appliance, it's possible to not be able to monitor the progress of the resulted task.
{
"id": "string",
"description": "string",
"type": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' https://{api_host}/appliance/update-manager/updates/{update_version}/actions/install